### Method

# Soup MultipartInputStream next_part_finish

#### Declaration [src]

    GInputStream*
    soup_multipart_input_stream_next_part_finish (
      SoupMultipartInputStream* multipart,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finishes an asynchronous request for the next part.

#### Parameters

`result` | `GAsyncResult`
| A `GAsyncResult`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GInputStream`
| A newly created `GInputStream` for reading the next part or `NULL` if there are no more parts.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.